# Class CheckboxCellComponent<Data>

#### Type Parameters

- Data extends Record<string, any>

- Defined in packages/angular/material/table-system/src/lib/select-row/checkbox-cell/checkbox-cell.component.ts:20

#####
Index

### Constructors

constructor

### Properties

element
selectRow

## Constructors

### constructor

- new CheckboxCellComponent<Data>(selectRow): CheckboxCellComponent<Data>

- #### Type Parameters

  - Data extends Record<string, any>

  #### Parameters

  - selectRow: SelectRowService<Data>

  #### Returns CheckboxCellComponent<Data>

  - Defined in packages/angular/material/table-system/src/lib/select-row/checkbox-cell/checkbox-cell.component.ts:25

## Properties

### element

element: Data

- Defined in packages/angular/material/table-system/src/lib/select-row/checkbox-cell/checkbox-cell.component.ts:23

### `Readonly` selectRow

selectRow: SelectRowService<Data>

- Defined in packages/angular/material/table-system/src/lib/select-row/checkbox-cell/checkbox-cell.component.ts:27